JobSub - Bug #6660

failure to authenticate leaves garbage files in .security directory

07/22/2014 02:11 PM - Dennis Box

Status: Closed Start date: 07/22/2014
Priority: Normal Due date:

Assignee: Dennis Box % Done: 100%
Category: Estimated time: 0.00 hour
Target version: v1.0 Spent time: 3.00 hours
First Occurred: Stakeholders:

Occurs In:

Description

To avoid race conditions, krb5cc and x509 proxies are written to temp files and if the process was successful the tempfile is moved
over the existing file. When the user fails to authenticate files like this are currently being left behind:

rw——— 1 rexbatch fife 0 Jul

rv——— 1 rexbatch fife 0 Jul
rv——— 1 rexbatch fife 0 Jul
mv—— 1 rexbatch fife 0 Jul

ra———— 1 rexbatch fife 0 Jul
ra——— 1 rexbatch fife 0 Jul
ra——— 1 rexbatch fife 0 Jul
rav——— 1 rexbatch fife 0 Jul
This is not critical but is annoying.

14:22 krb5cc_dbox_sjTWOQ
14:22 krb5cc_dbox_Lu5nUG
14:22 krb5cc_dbox__ JO5AG
14:22 krb5cc_dbox_6BKr4U
14:22 krb5cc_dbox_0Og67Xh
14:22 krb5cc_dbox_BgHIEO
14:22 krb5cc_dbox
14:22 krb5cc_dbox_fOVDfj

History

#1 - 08/22/2014 12:19 PM - Dennis Box
- Description updated
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 09/10/2014 10:24 PM - Parag Mhashilkar

- Status changed from Resolved to Closed
